Skip to Content
LandedFXDocs

Assets the swap layer routes

GET
/api/v1/swap/assets

Response Body

application/json
  1. response
code*number

HTTP status code

message*string

Human-readable message

data?never
metadata?
errors?array<string>

Validation errors, when the request was rejected

Example Request
curl -X GET 'https://api.landedfx.com/api/v1/swap/assets'
Example Response200
{  "message": "string",  "metadata": {    "page": 1,    "limit": 20,    "totalDocs": 42,    "prevPage": null,    "nextPage": 2,    "totalPages": 3  },  "errors": [    "string"  ],  "code": 200,  "data": [    {      "key": "USDT:tron",      "symbol": "USDT",      "chain": "tron",      "label": "USDT on Tron (TRC-20)",      "decimals": 0,      "providers": [        "relay"      ]    }  ]}